Bug 998620 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory cpu.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the director...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a3dc61283f78752053cf3a133f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 11:36 EDT by Mark
Modified: 2013-08-24 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-73.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 18:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2013-08-19 11:36:28 EDT
Description of problem:
install RDO + packstack using the havana repo. run packstack. 
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory cpu.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed read access on the cpu directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep glance-registry /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:glance_registry_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                cpu [ dir ]
Source                        glance-registry
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-3.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.7-200.fc19.x86_64 #1 SMP Thu
                              Aug 15 23:19:45 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-19 09:35:23 MDT
Last Seen                     2013-08-19 09:35:23 MDT
Local ID                      7c176f90-4968-4ff9-83d2-a64b1ebd18d9

Raw Audit Messages
type=AVC msg=audit(1376926523.98:1145): avc:  denied  { read } for  pid=1581 comm="glance-registry" name="cpu" dev="sysfs" ino=37 scontext=system_u:system_r:glance_registry_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir


type=SYSCALL msg=audit(1376926523.98:1145): arch=x86_64 syscall=openat success=yes exit=ENXIO a0=ffffffffffffff9c a1=304697bb18 a2=90800 a3=0 items=0 ppid=808 pid=1581 auid=4294967295 uid=161 gid=161 euid=161 suid=161 fsuid=161 egid=161 sgid=161 fsgid=161 ses=4294967295 tty=(none) comm=glance-registry exe=/usr/bin/python2.7 subj=system_u:system_r:glance_registry_t:s0 key=(null)

Hash: glance-registry,glance_registry_t,sysfs_t,dir,read

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.7-200.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-20 05:04:46 EDT
commit 6adc7a3f7da45d1c642d054ff836ee6e5cc712ca
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue Aug 20 11:04:13 2013 +0200

    Allow glance domains to read cpu info
Comment 2 Fedora Update System 2013-08-23 11:12:42 EDT
selinux-policy-3.12.1-73.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-73.fc19
Comment 3 Fedora Update System 2013-08-23 19:59:17 EDT
Package selinux-policy-3.12.1-73.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-73.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15219/selinux-policy-3.12.1-73.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-24 18:28:42 EDT
selinux-policy-3.12.1-73.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.